
/*! New db scheme, db fill with JSON config */

CREATE TABLE templates (
  _id integer PRIMARY KEY,
  title          text    NOT NULL,
  max_photos     integer DEFAULT 1,
  face_detection boolean DEFAULT 0,
  hair_detection boolean DEFAULT 0,
  figure_detection boolean DEFAULT 0,
  clothes_detection boolean DEFAULT 0,
  animal_detection boolean DEFAULT 0,
  cat_detection  boolean DEFAULT 0,
  dog_detection  boolean DEFAULT 0,
  is_sky_changer boolean DEFAULT 0,
  has_sound      boolean DEFAULT 0,
  background_replacement boolean DEFAULT 0,
  has_text       boolean DEFAULT 0,
  aspects        text,
  is_animated    boolean DEFAULT 0,
  order_number   integer NOT NULL, 
  popular_pos    integer DEFAULT 0,
  is_new         boolean DEFAULT 0,
  un             boolean DEFAULT 0,
  embedded_watermark         integer DEFAULT 0,
  pricing        text    NOT NULL,
  preview        text,
  legacy_id      text    NOT NULL,
  api_type       integer,
  result_type    integer,
  version        integer DEFAULT 1,
  iws            text,
  tutorial       text,
  original_url   text,
  original_asp   float,
  result_url     text,
  result_video_url text,
  result_asp     float,
  thumbnail_url  text,
  thumbnail_asp  float
);

CREATE TABLE groups (
  _id integer   PRIMARY KEY,
  title         text NOT NULL,
  _order        integer UNIQUE,
  type          text    NOT NULL,
  new_count     integer NOT NULL default 0,
  preview       text    NOT NULL,
  legacy_id     text    NOT NULL,
  extras        text,
  theme         text,
  sort          text
);

CREATE TABLE group_content (
  _id           integer PRIMARY KEY,
  group_id      integer NOT NULL,
  content_id    integer NOT NULL,
  type          text,
  extras        text
);

CREATE TABLE tabs (
  _id integer   PRIMARY KEY,
  title         text NOT NULL,
  _order        integer UNIQUE,
  type          integer NOT NULL,
  legacy_id     text    NOT NULL,
  icon          text,
  promo_in_app  boolean DEFAULT 0,
  theme         text,
  sort          text
);

CREATE TABLE tab_content (
  _id           integer PRIMARY KEY,
  tab_id        integer NOT NULL,
  content_id    integer NOT NULL,
  type          text,
  extras        text
);